Commit 358a0cf0 authored by Peter Billam's avatar Peter Billam

do not require superfluous chess.fen

parent 6828424e
......@@ -5,8 +5,8 @@
-- This script is free software; you can redistribute it and/or --
-- modify it under the same terms as Lua5 itself. --
---------------------------------------------------------------------
local Version = '1.5 for Lua5'
local VersionDate = '29jun2018';
local Version = '1.6 for Lua5'
local VersionDate = '13oct2018';
local Synopsis = [[
fen2img [-w 550] \
'rnb1k1nr/pppp1ppp/8/4p3/3b3q/4PPP1/PPP2K1P/RNBQ1BNR b KQkq - 0 5' \
......@@ -16,7 +16,7 @@ fen2img [-w 550] \
perldoc fen2img # read the manual :-)
]]
local FEN = require 'chess.fen'
-- local FEN = require 'chess.fen' 1.6 not in fact used :-)
Width = 450;
Flip = 'false'
......@@ -473,6 +473,7 @@ which you move into C</usr/share/fonts/truetype/>
=head1 CHANGES
20181013 1.6 lua module chess-fen is not required
20180629 1.5 default width now 450
20180628 1.4 handles missing .fen file in a more user-friendly way
20180628 1.3 now works also on a t.fen file
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment